Bug 64864 - cd recording fails with scsi errors with IDE burner
cd recording fails with scsi errors with IDE burner
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 14:16 EDT by Dan Pritts
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsi errors (4.90 KB, text/plain)
2002-05-13 14:17 EDT, Dan Pritts
no flags Details
dmesg output (8.08 KB, text/plain)
2002-05-13 14:19 EDT, Dan Pritts
no flags Details

  None (edit)
Description Dan Pritts 2002-05-13 14:16:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
When i attempt to record a cd under red hat 7.3, it will die immediately, before
burning anything to the disc, with scsi errors.

the behavior is evident with cdrecord and cdrdao.  I tried both the redhat
distributed builds of these programs and my own old builds from source that i
used under 6.2.

I think this is the same bug as seen on LKML
http://www.uwsg.iu.edu/hypermail/linux/kernel/0202.2/0852.html

The problem does not occur every time but has happened several times.  Last
night i was able to fix it by playing around with hdparm settings for the drive.
 The setting that seemed to matter was using_dma, however I cannot recreate the
error today.  

I am running ximian gnome.  I have disabled the gnome automount stuff.

Problem occurred with the skipjack beta 2 kernel release also.  I had strange
problems with my PS/2 mouse locking up under 7.2, fixed them by upgrading the
kernel ONLY to the skipjack kernel.  I did not 

The setup works flawlessly under red hat 6.2 (i built my own kernel with
ide-scsi support from the red hat kernel source), and under windows 98.  

the system is an abit bh6, celeron 1000.  the cdrw is a sony, connected to a
promise ultra66 IDE card on its own channel.  

dmesg output and error messages from cdrecord are attached.  

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.run cdrecord or cdrdao on my hardware under red hat 7.3
2.
3.
	

Actual Results:  scsi errors

Expected Results:  disc should be burned

Additional info:
Comment 1 Dan Pritts 2002-05-13 14:17:52 EDT
Created attachment 57126 [details]
scsi errors
Comment 2 Dan Pritts 2002-05-13 14:19:40 EDT
Created attachment 57127 [details]
dmesg output
Comment 3 Dan Pritts 2002-05-13 14:23:04 EDT
one thing i did not mention above - i have an rc.local script that sets the
hdparm settings for the drive with:
                /sbin/hdparm -c 1 -d 1 -u 1 $1

Same settings work under 6.2.
Comment 4 Bugzilla owner 2004-09-30 11:39:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.